:root{
  
  --text-color: #8a3a24;
}

*{
  box-sizing: border-box;
  margin: 0;
}

body{
  font-family: "Poppins", sans-serif;
}

/* Layout */
.split{
  display: grid;
  grid-template-columns: 50% 50%;
  min-height: 60vh;
}

/* Parallax */
.parallax{
  background-image: var(--bg-img);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed; /* Parallax */
  position: relative;
}

/* subtle overlay */
.parallax::after{
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(to right, rgba(0,0,0,.25), transparent);
}

/* Text panel */
.text-panel{
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  
}

.content{
  max-width: 520px;
  text-align: center;
}

.content p{
  color: var(--text-color);
  font-size: 16px;
  line-height: 1.8;
  margin-bottom: 28px;
}

/* Animation */
.fade{
  opacity: 0;
  transform: translateY(18px);
  animation: fadeUp 1s ease forwards;
}

@keyframes fadeUp{
  to{
    opacity: 1;
    transform: translateY(0);
  }
}

/* Mobile */
@media (max-width: 900px){
  .split{
    grid-template-columns: 1fr;
  }

  .parallax{
    min-height: 45vh;
    background-attachment: scroll; /* مهم للموبايل */
  }
}
